Perform an action on the VM
curl --request POST \
--url https://api.hypercore.vn/vm/{vm_id}/{action} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"name": "vm-snapshot-name",
"desc": "snapshot @ 20/09/2025"
}
'import requests
url = "https://api.hypercore.vn/vm/{vm_id}/{action}"
payload = {
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"name": "vm-snapshot-name",
"desc": "snapshot @ 20/09/2025"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe',
name: 'vm-snapshot-name',
desc: 'snapshot @ 20/09/2025'
})
};
fetch('https://api.hypercore.vn/vm/{vm_id}/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Virtual Machines
Perform an action on the VM
Perform an action on the VM
POST
/
vm
/
{vm_id}
/
{action}
Perform an action on the VM
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID that need to be considered for filter
Action to perform on the VM
Available options:
stop, reboot, snapshot, enable-bgp, disable-bgp Body
application/json
Team ID that need to be considered for filter. Default team will be used if not provided.
Example:
"96616865-475e-4191-aba5-f89f0a4b71fe"
Snapshot name (if taking snapshot)
Example:
"vm-snapshot-name"
Snapshot desc (if taking snapshot)
Example:
"snapshot @ 20/09/2025"
Response
Successful operation
⌘I